# Create your views here.
#encoding:utf-8
from expediente.models import *
from expediente.forms import *
from django.http import *
from django.template.response import *
from django.contrib.auth import *
from django.contrib.auth.decorators import *

from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
from django.shortcuts import *

from django.contrib.auth.models import User
from django.db.models import Q
import datetime
from datetime import date
from django.contrib import messages
from django.utils import timezone
from time import strptime
from datetime import *
from django.db.models import *

#Atender canalizacion de Psicologia
@login_required(login_url="/login")
def principal_psicologia(request):
	canalizacion=Canaliza.objects.all()
	psicologia=Psicologia.objects.all()
	psico=Canaliza.objects.all().filter(expediente__estatus__id=4)
	total=psico.count()
	pendientes=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__psicologia__in=(psicologia))
	pendientesTotal=pendientes.count()
	agendados=Psicologia.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	agendadosTotal=agendados.count()
	atendidos=Psicologia.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	atendidosTotal=atendidos.count()
	return render_to_response('principal.html',{'pendientes':pendientes,'agendados':agendados,'atendidos':atendidos,
														'total':total,'pen':pendientesTotal,'agen':agendadosTotal,
														'aten':atendidosTotal,
														'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_psicologia(request):
	canalizacion=Canaliza.objects.all()
	psicologia=Psicologia.objects.all()
	menores=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__psicologia__in=(psicologia))

	return render_to_response('tabla_psicologia.html',{'datos':menores,
														'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def agendar_psicologia(request,menor_id):

	if request.method=='POST':
		form = AgendarForm(request.POST,request.FILES)
		if form.is_valid():
			fecha=request.POST["agendar"]
			menorId=request.POST["menor_id"]
			print(fecha)

			expediente=Expediente.objects.get(menor__id=menorId,estatus__id=4)
			print(expediente)
			menor=Menor.objects.get(id=menorId)
			estatus=Estatus.objects.get(id=1)
			#empleado=Empleado.objects.get(id=1)
			canaliza=Canaliza.objects.get(expediente=expediente)

			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			agenda=Psicologia(canaliza=canaliza,expediente=expediente,menor=menor,fecha=fecha,motivo="",fisica="",observaciones="",sugerencia="", empleado=empleado,estatus=estatus)
			agenda.save()


			messages.success(request, 'Se ha agendado correctamente')
			return HttpResponseRedirect('/diagnostico/psicologia/')
	else:
		form = AgendarForm()
	return render_to_response('agendar_form.html',{'form':form,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_psicologia_agendado(request):
	canalizacion=Canaliza.objects.all()
	psicologia=Psicologia.objects.all()
	psicologia=Psicologia.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	return render_to_response('psicologia_agenda.html',{'datos':psicologia,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def diagnostico_psicologia(request,menor_id):
	psicologia=Psicologia.objects.get(menor__id=menor_id,estatus__id=1,observaciones="",expediente__estatus=4)
	if request.method=='POST':
		form = psicologiaForm(request.POST,request.FILES,instance=psicologia)
		formInforme = InformeForm(request.POST,request.FILES)
		if form.is_valid() and formInforme.is_valid():
			informe=formInforme.save()
			psicologiaInforme=form.save(commit=False)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			estatus=Estatus.objects.get(id=2)
			fecha=datetime.datetime.now()
			psicologiaInforme.fecha=fecha
			psicologiaInforme.estatus=estatus
			psicologiaInforme.empleado=empleado
			psicologiaInforme.informe.add(informe)
			psicologiaInforme.save()
			messages.success(request, 'Se ha registrado el diagnostico correctamente')
			return HttpResponseRedirect('/diagnostico/atendidospsicologia/')
	else:
		expediente=Expediente.objects.filter(menor__id=menor_id,estatus__id=4)

		psicologiaForm.base_fields['menor'] = forms.ModelChoiceField(
									queryset = Menor.objects.filter(id=menor_id))

		form = psicologiaForm(instance=psicologia)
		formInforme = InformeForm()
	return render_to_response('psicologia_form.html',{'form':form,'informe':formInforme,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_psicologia_atendidos(request):
	canalizacion=Canaliza.objects.all()
	#psicologia=Psicologia.objects.all()
	psicologia=Psicologia.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	return render_to_response('psicologia_atendidos.html',{'datos':psicologia ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_psicologia_detalles(request,area_id):

	psicologia=Psicologia.objects.get(id=area_id)
	return render_to_response('psicologia_detalles.html',{'datos':psicologia,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


#Atender canalizacion de Pedagogia
@login_required(login_url="/login")
def principal_pedagogia(request):
	canalizacion=Canaliza.objects.all()
	pedagogia=Pedagogia.objects.all()
	psico=Canaliza.objects.all().filter(expediente__estatus__id=4)
	total=psico.count()
	pendientes=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__pedagogia__in=(pedagogia))
	pendientesTotal=pendientes.count()
	agendados=Pedagogia.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	agendadosTotal=agendados.count()
	atendidos=Pedagogia.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	atendidosTotal=atendidos.count()
	return render_to_response('principal.html',{'pendientes':pendientes,'agendados':agendados,'atendidos':atendidos,
														'total':total,'pen':pendientesTotal,'agen':agendadosTotal,
														'aten':atendidosTotal,
														'principal':'active','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_pedagogia(request):
	canalizacion=Canaliza.objects.all()
	pedagogia=Pedagogia.objects.all()
	menores=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__pedagogia__in=(pedagogia))
	return render_to_response('pedagogia_tabla_agendar.html',{'datos':menores ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'active','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def agendar_pedagogia(request,menor_id):

	if request.method=='POST':
		form = AgendarForm(request.POST)
		if form.is_valid():
			fecha=request.POST["agendar"]
			menorId=request.POST["menor_id"]

			expediente=Expediente.objects.get(menor__id=menorId,estatus__id=4)
			menor=Menor.objects.get(id=menorId)
			estatus=Estatus.objects.get(id=1)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			canaliza=Canaliza.objects.get(expediente=expediente)
			agenda=Pedagogia(canaliza=canaliza,expediente=expediente,menor=menor,fecha=fecha,escolaridad=" ",escuela=" ",grado="",grupo="",observaciones="", empleado=empleado,estatus=estatus)
			agenda.save()
			messages.success(request, 'Se ha agendado correctamente')
			return HttpResponseRedirect('/diagnostico/pedagogia/')
	else:
		form = AgendarForm()
	return render_to_response('agendar_form.html',{'form':form,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'active','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))

def ver_pedagogia_agendado(request):
	canalizacion=Canaliza.objects.all()
	pedagogia=Pedagogia.objects.all()
	pedagogia=Pedagogia.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	return render_to_response('pedagogia_tabla_agendados.html',{'datos':pedagogia,'area':"pedagogia",'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'active','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def diagnostico_pedagogia(request,menor_id):
	pedagogia=Pedagogia.objects.get(menor__id=menor_id,estatus__id=1,observaciones="",expediente__estatus__id=4)
	if request.method=='POST':
		form = PedagogiaForm(request.POST,request.FILES,instance=pedagogia)
		formInforme = InformeForm(request.POST,request.FILES)
		if form.is_valid() and formInforme.is_valid():
			informe=formInforme.save()
			pedagogiaInforme=form.save(commit=False)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			estatus=Estatus.objects.get(id=2)
			fecha=datetime.datetime.now()
			pedagogiaInforme.fecha=fecha
			pedagogiaInforme.estatus=estatus
			pedagogiaInforme.empleado=empleado
			pedagogiaInforme.informe.add(informe)
			pedagogiaInforme.save()
			messages.success(request, 'Se ha registrado el diagnostico correctamente')
			return HttpResponseRedirect('/diagnostico/atendidospedagogia/')
	else:
		expediente=Expediente.objects.filter(menor__id=menor_id,estatus__id=4)

		PedagogiaForm.base_fields['menor'] = forms.ModelChoiceField(
									queryset = Menor.objects.filter(id=menor_id))

		form = PedagogiaForm(instance=pedagogia)
		formInforme=InformeForm()
	return render_to_response('pedagogia_form.html',{'form':form,'informe':formInforme,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'active','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_pedagogia_atendidos(request):
	canalizacion=Canaliza.objects.all()
	#psicologia=Psicologia.objects.all()
	pedagogia=Pedagogia.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	return render_to_response('pedagogia_atendidos.html',{'datos':pedagogia ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'active','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_pedagogia_detalles(request,area_id):

	pedagogia=Pedagogia.objects.get(id=area_id)
	return render_to_response('pedagogia_detalles.html',{'datos':pedagogia,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'active','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))

#Atender canalizacion de Nutricion
@login_required(login_url="/login")
def principal_nutricion(request):
	canalizacion=Canaliza.objects.all()
	nutricion=Nutricion.objects.all()
	psico=Canaliza.objects.all().filter(expediente__estatus__id=4)
	total=psico.count()
	pendientes=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__nutricion__in=(nutricion))
	pendientesTotal=pendientes.count()
	agendados=Nutricion.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	agendadosTotal=agendados.count()
	atendidos=Nutricion.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	atendidosTotal=atendidos.count()
	return render_to_response('principal.html',{'pendientes':pendientes,'agendados':agendados,'atendidos':atendidos,
														'total':total,'pen':pendientesTotal,'agen':agendadosTotal,
														'aten':atendidosTotal,
														'principal':'active','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_nutricion(request):
	canalizacion=Canaliza.objects.all()
	nutricion=Nutricion.objects.all()
	menores=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__nutricion__in=(nutricion))
	return render_to_response('nutricion_tabla_agendar.html',{'datos':menores ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'active','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def agendar_nutricion(request,menor_id):

	if request.method=='POST':
		form = AgendarForm(request.POST)
		if form.is_valid():
			fecha=request.POST["agendar"]
			menorId=request.POST["menor_id"]

			expediente=Expediente.objects.get(menor__id=menorId,estatus__id=4)
			menor=Menor.objects.get(id=menorId)
			estatus=Estatus.objects.get(id=1)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			canaliza=Canaliza.objects.get(expediente=expediente)
			agenda=Nutricion(canaliza=canaliza,expediente=expediente,menor=menor,fecha=fecha,observaciones="",caracteristicas=" ",peso="0", talla="0", empleado=empleado,estatus=estatus)
			agenda.save()
			messages.success(request, 'Se ha agendado correctamente')
			return HttpResponseRedirect('/diagnostico/nutricion/')
	else:
		form = AgendarForm()
	return render_to_response('agendar_form.html',{'form':form,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'active','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_nutricion_agendado(request):
	canalizacion=Canaliza.objects.all()
	nutricion=Nutricion.objects.all()
	nutricion=Nutricion.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	return render_to_response('nutricion_tabla_agendados.html',{'datos':nutricion,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'active','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))



@login_required(login_url="/login")
def diagnostico_nutricion(request,menor_id):
	nutricion=Nutricion.objects.get(menor__id=menor_id,estatus__id=1,observaciones="",expediente__estatus=4)
	if request.method=='POST':
		form = NutricionForm(request.POST,request.FILES,instance=nutricion)
		formInforme = InformeForm(request.POST,request.FILES)
		if form.is_valid() and formInforme:
			informe= formInforme.save()
			nutricionInforme=form.save(commit=False)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			estatus=Estatus.objects.get(id=2)
			fecha=datetime.datetime.now()
			nutricionInforme.fecha=fecha
			nutricionInforme.estatus=estatus
			nutricionInforme.empleado=empleado
			nutricionInforme.informe.add(informe)
			nutricionInforme.save()
			messages.success(request, 'Se ha registrado el diagnostico correctamente')
			return HttpResponseRedirect('/diagnostico/atendidosnutricion/')
	else:
		expediente=Expediente.objects.filter(menor__id=menor_id,estatus=4)

		NutricionForm.base_fields['menor'] = forms.ModelChoiceField(
									queryset = Menor.objects.filter(id=menor_id))

		form = NutricionForm(instance=nutricion)
		formInforme= InformeForm()
	return render_to_response('nutricion_form.html',{'form':form,'informe':formInforme,'expediente':menor_id,'area':'Nutricion','principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'active','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_nutricion_atendidos(request):
	canalizacion=Canaliza.objects.all()
	#psicologia=Psicologia.objects.all()
	nutricion=Nutricion.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	return render_to_response('nutricion_atendidos.html',{'datos':nutricion ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'active','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_nutricion_detalles(request,area_id):

	pedagogia=Nutricion.objects.get(id=area_id)
	return render_to_response('nutricion_detalles.html',{'datos':pedagogia ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'active','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


#Atender canalizacion de Medico
@login_required(login_url="/login")
def principal_medico(request):
	canalizacion=Canaliza.objects.all()
	medico=Medico.objects.filter(estatus__id__in=(1,2,5))
	psico=Canaliza.objects.all().filter(expediente__estatus__id=4)
	total=psico.count()
	pendientes=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__medico__in=(medico))
	pendientesTotal=pendientes.count()
	agendados=Medico.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4,estatus__id__in=(1,5)).order_by("fecha")
	agendadosTotal=agendados.count()
	atendidos=Medico.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4,estatus__id=2).exclude(observaciones="")
	atendidosTotal=atendidos.count()
	return render_to_response('principal.html',{'pendientes':pendientes,'agendados':agendados,'atendidos':atendidos,
														'total':total,'pen':pendientesTotal,'agen':agendadosTotal,
														'aten':atendidosTotal,
														'principal':'active','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_medico(request):
	canalizacion=Canaliza.objects.all()
	medico=Medico.objects.filter(estatus__id__in=(1,2,5))
	menores=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__medico__in=(medico))
	return render_to_response('medico_tabla_agendar.html',{'datos':menores,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'active',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


def reabrir_diagnostico(request,id_medico):
	diagnostico=Medico.objects.get(id=id_medico)
	if diagnostico.estatus.id == 5 :
		estatus=Estatus.objects.get(id=1)
	else:

		estatus=Estatus.objects.get(id=4)
	fechaHoy= date.today()
	diagnostico.estatus=estatus
	diagnostico.fecha=fechaHoy
	diagnostico.save()
	messages.success(request, 'El diagnostico ha sido habilitado nuevamente')
	return HttpResponseRedirect('/index/')




@login_required(login_url="/login")
def agendar_medico(request,menor_id):

	if request.method=='POST':
		form = AgendarForm(request.POST)
		if form.is_valid():
			fecha=request.POST["agendar"]
			menorId=request.POST["menor_id"]
			estatus=Estatus.objects.get(id=1)
			try:
				medico=Medico.objects.get(menor__id=menorId,estatus__id=4)
				if medico:

					medico.fecha=fecha
					medico.estatus=estatus
					medico.save()
					messages.success(request, 'Se ha agendado correctamente')
					return HttpResponseRedirect('/diagnostico/medico/')

			except Exception, e:
				pass

			expediente=Expediente.objects.get(menor__id=menorId,estatus__id=4)
			menor=Menor.objects.get(id=menorId)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			canaliza=Canaliza.objects.get(expediente=expediente)
			agenda=Medico(canaliza=canaliza,expediente=expediente,menor=menor,
						fecha=fecha,observaciones="",antecedentes="",peso="0", talla="0",
						temperatura="0",diagnostico="",tratamiento="", empleado=empleado,
						estatus=estatus)
			agenda.save()
			messages.success(request, 'Se ha agendado correctamente')
			return HttpResponseRedirect('/diagnostico/medico/')
	else:
		expediente=Expediente.objects.get(menor__id=menor_id,estatus__id=4)
		canalizacion=Canaliza.objects.get(expediente=expediente)
		fechaHoy= date.today()
		try:
			medicoAbierto=Medico.objects.filter(menor__id=menor_id,estatus__id=4)
		except Exception, e:
			pass

		if medicoAbierto:
			medico=medicoAbierto[0]
			fechaPasada=medico.fecha
			fe=fechaPasada
			if fechaPasada < fechaHoy:
				f=fechaHoy-fechaPasada
				if f.days > 2 :
					estatus=Estatus.objects.get(id=3)
					medico.estatus=estatus
					medico.save()
					messages.error(request, 'Fuera de tiempo, acuda con su coordinador general para poder agendar y diagnosticar al menor')
					return HttpResponseRedirect('/diagnostico/medico/')
			else:
				pass


		else:

			fechaPasada=canalizacion.fecha
			fe=fechaPasada +  timedelta(days=2)
			if fechaPasada < fechaHoy:
				f=fechaHoy-fechaPasada
				if f.days>2:
					estatus=Estatus.objects.get(id=3)
					usuario=request.user.id
					empleado=Empleado.objects.get(user=usuario)
					atraso=Medico(canaliza=canalizacion,expediente=expediente,menor=expediente.menor,
								fecha=fechaHoy,observaciones="",antecedentes="",peso="0", talla="0",
								temperatura="0",diagnostico="",tratamiento="", empleado=empleado,
								estatus=estatus)
					atraso.save()
					messages.error(request, 'Fuera de tiempo, acuda con su coordinador general para poder agendar y diagnosticar al menor')
					return HttpResponseRedirect('/diagnostico/medico/')

		form = AgendarForm()
	return render_to_response('agendar_form.html',{'form':form,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed','fe':fe,
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'active',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_medico_agendado(request):
	canalizacion=Canaliza.objects.all()
	medico=Medico.objects.all()
	medico=Medico.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4, estatus__id__in=(1,5)).order_by("fecha")
	return render_to_response('medico_tabla_agendados.html',{'datos':medico,'area':'medico','principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'active',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def diagnostico_medico(request,menor_id):
	medico=Medico.objects.get(menor__id=menor_id,estatus__id=1,observaciones="",expediente__estatus=4)
	fechaHoy= date.today()
	if medico.fecha < fechaHoy:
		estatus=Estatus.objects.get(id=5)
		medico.estatus=estatus
		medico.save()
		messages.error(request, 'Fuera de tiempo, acuda con su coordinador general para diagnosticar al menor')
		return HttpResponseRedirect('/diagnostico/agenda_medico/')


	if request.method=='POST':
		form = MedicoForm(request.POST,request.FILES,instance=medico)
		formInforme = InformeForm(request.POST,request.FILES)
		if form.is_valid() and formInforme.is_valid():
			informe=formInforme.save()
			medicoInforme=form.save(commit=False)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			estatus=Estatus.objects.get(id=2)
			fecha=datetime.datetime.now()
			medicoInforme.fecha=fecha
			medicoInforme.estatus=estatus
			medicoInforme.empleado=empleado
			medicoInforme.informe.add(informe)
			medicoInforme.save()
			form.save_m2m()
			#medicoInforme.informe_set.add(informe)
			messages.success(request, 'Se ha registrado el diagnostico correctamente')
			return HttpResponseRedirect('/diagnostico/atendidosmedico/')
	else:
		expediente=Expediente.objects.filter(menor__id=menor_id,estatus__id=4)

		MedicoForm.base_fields['menor'] = forms.ModelChoiceField(
									queryset = Menor.objects.filter(id=menor_id))

		form = MedicoForm(instance=medico)
		formInforme= InformeForm()
	return render_to_response('nutricion_form.html',{'form':form,'informe':formInforme,'expediente':menor_id,'area':'Medico','principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'active',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_medico_atendidos(request):
	canalizacion=Canaliza.objects.all()
	#psicologia=Psicologia.objects.all()
	medico=Medico.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	return render_to_response('medico_atendidos.html',{'datos':medico,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'active',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))



@login_required(login_url="/login")
def ver_medico_detalles(request,area_id):

	pedagogia=Medico.objects.get(id=area_id)
	return render_to_response('medico_detalles.html',{'datos':pedagogia ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'active',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))

#Atender canalizacion de Juridico
# def principal_juridico(request):
# 	canalizacion=Canaliza.objects.all()
# 	juridico=Juridico.objects.all()
# 	psico=Canaliza.objects.all().filter(expediente__estatus__id=4)
# 	total=psico.count()
# 	pendientes=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__juridico__in=(juridico))
# 	pendientesTotal=pendientes.count()
# 	agendados=Juridico.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
# 	agendadosTotal=agendados.count()
# 	atendidos=Juridico.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
# 	atendidosTotal=atendidos.count()
# 	return render_to_response('principal.html',{'pendientes':pendientes,'agendados':agendados,'atendidos':atendidos,
# 														'total':total,'pen':pendientesTotal,'agen':agendadosTotal,
# 														'aten':atendidosTotal,
# 														'principal':'active','Revision':'closed',
# 														'activo':'closed','no_activo':'closed','Medico':'closed',
# 														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
# 														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
# 														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
# 														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
# 														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def principal_juridico(request):
	canalizacion=Canaliza.objects.all()
	juridico=Juridico.objects.all()
	psico=Canaliza.objects.all().filter(expediente__estatus__id=4)
	total=psico.count()
	pendientes=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),
													expediente__estatus__id=4).exclude(
													expediente__juridico__in=(juridico)).order_by(
													'expediente__canaliza__prioridad')[:5]
	pendientesTotal=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),
													expediente__estatus__id=4).exclude(
													expediente__juridico__in=(juridico)).count()
	agendados=Juridico.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	agendadosTotal=agendados.count()
	atendidos=Juridico.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	atendidosTotal=atendidos.count()
	return render_to_response('principal.html',{'pendientes':pendientes,'agendados':agendados,'atendidos':atendidos,
														'total':total,'pen':pendientesTotal,'agen':agendadosTotal,
														'aten':atendidosTotal,
														'principal':'active','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_juridico(request):
	canalizacion=Canaliza.objects.all()
	juridico=Juridico.objects.all()
	menores=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),
												expediente__estatus__id=4).exclude(expediente__juridico__in=(juridico))

	return render_to_response('juridico_tabla_agendar.html',{'datos':menores ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'active',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def agendar_juridico(request,menor_id):

	if request.method=='POST':
		form = AgendarForm(request.POST)
		if form.is_valid():
			fecha=request.POST["agendar"]
			menorId=request.POST["menor_id"]

			expediente=Expediente.objects.get(menor__id=menorId,estatus__id=4)
			menor=Menor.objects.get(id=menorId)
			estatus=Estatus.objects.get(id=1)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			canaliza=Canaliza.objects.get(expediente=expediente)
			agenda=Juridico(canaliza=canaliza,expediente=expediente,menor=menor,fecha=fecha,observaciones="",medidas="",situacion="",agresor="",representante="", empleado=empleado,estatus=estatus)
			agenda.save()
			messages.success(request, 'Se ha agendado correctamente')
			return HttpResponseRedirect('/diagnostico/juridico/')
	else:
		form = AgendarForm()
	return render_to_response('agendar_form.html',{'form':form,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'active',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))

@login_required(login_url="/login")
def ver_juridico_agendado(request):
	canalizacion=Canaliza.objects.all()
	juridico=Juridico.objects.all()
	juridico=Juridico.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha")
	return render_to_response('juridico_tabla_agendados.html',{'datos':juridico,'area':'juridico','principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'active',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))



@login_required(login_url="/login")
def diagnostico_juridico(request,menor_id):
	juridico=Juridico.objects.get(menor__id=menor_id,estatus__id=1,observaciones="",expediente__estatus=4)
	if request.method=='POST':
		form = JuridicoForm(request.POST,request.FILES,instance=juridico)
		formInforme = InformeForm(request.POST,request.FILES)
		if form.is_valid() and formInforme.is_valid():
			informe=formInforme.save()
			juridicoInforme=form.save(commit=False)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			estatus=Estatus.objects.get(id=2)
			fecha=datetime.datetime.now()
			juridicoInforme.fecha=fecha
			juridicoInforme.empleado=empleado
			juridicoInforme.estatus=estatus
			juridicoInforme.informe.add(informe)
			juridicoInforme.save()
			messages.success(request, 'Se ha registrado el diagnostico correctamente')
			return HttpResponseRedirect('/diagnostico/atendidosjuridico/')
	else:
		expediente=Expediente.objects.filter(menor__id=menor_id,estatus=4)

		JuridicoForm.base_fields['menor'] = forms.ModelChoiceField(
									queryset = Menor.objects.filter(id=menor_id))
		form = JuridicoForm(instance=juridico)
		formInforme = InformeForm()
	return render_to_response('nutricion_form.html',{'form':form,'informe':formInforme,'expediente':menor_id,'area':'Jurídico','principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'active',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_juridico_atendidos(request):
	canalizacion=Canaliza.objects.all()
	#psicologia=Psicologia.objects.all()
	juridico=Juridico.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	return render_to_response('juridico_atendidos.html',{'datos':juridico,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'active',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_juridico_detalles(request,area_id):

	pedagogia=Juridico.objects.get(id=area_id)
	return render_to_response('juridico_detalles.html',{'datos':pedagogia ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'active',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


# atender canalizacion para Social
@login_required(login_url="/login")
def principal_social(request):
	canalizacion=Canaliza.objects.all()
	social=Social.objects.all()
	psico=Canaliza.objects.all().filter(expediente__estatus__id=4)
	total=psico.count()
	pendientes=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__social__in=(social))
	pendientesTotal=pendientes.count()
	agendados=Social.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha_realiza")
	agendadosTotal=agendados.count()
	atendidos=Social.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	atendidosTotal=atendidos.count()
	fecha=1
	return render_to_response('principal.html',{'pendientes':pendientes,'agendados':agendados,'atendidos':atendidos,
														'total':total,'pen':pendientesTotal,'agen':agendadosTotal,
														'aten':atendidosTotal,'fecha':fecha,
														'principal':'active','Revision':'closed',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_social(request):
	canalizacion=Canaliza.objects.all()
	social=Social.objects.all()
	menores=MovimientoMenor.objects.all().filter(expediente__canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(expediente__social__in=(social)).order_by("expediente__canaliza__prioridad")
	return render_to_response('social_tabla_agendar.html',{'datos':menores,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'active',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def agendar_social(request,menor_id):

	try:
		menor=Familiar.objects.filter(menor__id=menor_id)
		if menor.count() == 0:
			msj = "El menor no tiene Familiares registrados, ingrese al menos un familiar"
			messages.error(request, msj)
			return HttpResponseRedirect('/diagnostico/social/')

	except Exception, e:
		try:
			familiarAusente=FamiliarAusente.objects.get(menor__id=menor_id,tiene=True)
		except Exception, e:

			msj = "El menor no tiene Familiares registrados, ingrese al menos un familiar"
			messages.error(request, msj)
			return HttpResponseRedirect('/diagnostico/social/')

	if request.method=='POST':
		form = AgendarForm(request.POST)
		if form.is_valid():
			fecha=request.POST["agendar"]
			menorId=request.POST["menor_id"]

			expediente=Expediente.objects.get(menor__id=menorId,estatus__id=4)
			menor=Menor.objects.get(id=menorId)
			estatus=Estatus.objects.get(id=1)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			canaliza=Canaliza.objects.get(expediente=expediente)
			agenda=Social(canaliza=canaliza,expediente=expediente,menor=menor,fecha_realiza=fecha,observaciones="",asunto="", fecha_entrega=fecha, empleado=empleado,estatus=estatus)
			agenda.save()
			messages.success(request, 'Se ha agendado correctamente')
			return HttpResponseRedirect('/diagnostico/social/')
	else:
		form = AgendarForm()
	return render_to_response('agendar_form.html',{'form':form,'expediente':menor_id,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'active',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))



@login_required(login_url="/login")
def ver_social_agendado(request):
	canalizacion=Canaliza.objects.all()
	social=Social.objects.all()
	social=Social.objects.all().filter(canaliza__in=(canalizacion),observaciones="",expediente__estatus__id=4).order_by("fecha_realiza")
	return render_to_response('social_tabla_agendados.html',{'datos':social,'area':'medico','principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'active',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed' },context_instance=RequestContext(request))


@login_required(login_url="/login")
def diagnostico_social(request,menor_id):
	social=Social.objects.get(menor__id=menor_id,estatus__id=1,observaciones="",expediente__estatus=4)
	if request.method=='POST':
		form = SocialForm(request.POST,request.FILES,instance=social)
		formInforme = InformeForm(request.POST,request.FILES)
		if form.is_valid() and formInforme.is_valid():
			informe=formInforme.save()
			socialInforme=form.save(commit=False)
			usuario=request.user.id
			empleado=Empleado.objects.get(user=usuario)
			estatus=Estatus.objects.get(id=2)
			socialInforme.empleado=empleado
			socialInforme.estatus=estatus
			socialInforme.informe.add(informe)
			socialInforme.save()
			messages.success(request, 'Se ha registrado el diagnostico correctamente')
			return HttpResponseRedirect('/diagnostico/atendidossocial/')
	else:
		expediente=Expediente.objects.filter(menor__id=menor_id,estatus=4)

		SocialForm.base_fields['menor'] = forms.ModelChoiceField(
									queryset = Menor.objects.filter(id=menor_id))
		try:
			familiarAusente=FamiliarAusente.objects.get(menor__id=menor_id,tiene=True)
			SocialForm.base_fields['familiar'] = forms.ModelChoiceField(required=False,
									queryset = Familiar.objects.filter(menor__id=menor_id))
		except Exception, e:

			SocialForm.base_fields['familiar'] = forms.ModelChoiceField(required=True,
									queryset = Familiar.objects.filter(menor__id=menor_id))
		form = SocialForm(instance=social)
		formInforme = InformeForm()
	return render_to_response('nutricion_form.html',{'form':form,'informe':formInforme,'expediente':menor_id,'area':'Social','principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'active',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_social_atendidos(request):
	canalizacion=Canaliza.objects.all()
	#psicologia=Psicologia.objects.all()
	social=Social.objects.all().filter(canaliza__in=(canalizacion),expediente__estatus__id=4).exclude(observaciones="")
	return render_to_response('social_atendidos.html',{'datos':social,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'active',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'  },context_instance=RequestContext(request))


@login_required(login_url="/login")
def ver_social_detalles(request,area_id):

	pedagogia=Social.objects.get(id=area_id)
	return render_to_response('social_detalles.html',{'datos':pedagogia ,'principal':'closed','Revision':'closed',
														'activo':'closed','no_activo':'closed',
														'Psicologia':'closed','configuraciones':'closed','Social':'active',
														'Pedagogia':'closed','Nutricion':'closed','Medico':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))


def add_informe(request,area_id):
	usuario=request.user.id
	empleado=Empleado.objects.get(user=usuario)
	area=empleado.area.nombre
	if empleado.area.id == 2:
		area='Social'
	model = get_model('expediente', area)
	modelo=model.objects.get(id=area_id)


	if request.method=='POST':
		form = InformeForm(request.POST,request.FILES)
		if form.is_valid():
			informe=form.save()
			modelo.informe.add(informe)
			modelo.save()

			messages.success(request, 'El archivo se ha agregado correctamente')
			url=area.lower()
			return HttpResponseRedirect('/diagnostico/'+'atendidos'+url+'/')

	else:


		form = InformeForm()
	return render_to_response('agregar_informe.html',{'form':form,'principal':'closed','Revision':'closed','area':'Agregar Informe',
														'activo':'closed','no_activo':'closed','Medico':'closed',
														'Psicologia':'active','configuraciones':'closed','Social':'closed',
														'Pedagogia':'closed','Nutricion':'closed',
														'Preregistro':'closed','Registro':'closed','Juridico':'closed',
														'parentesco':'closed','Canaliza':'closed','Egreso':'closed',
														'Foto':'closed'},context_instance=RequestContext(request))





