#encoding:utf-8
from django import *
from django.forms import *
from expediente.models import *
from django.forms.fields import *
from django.forms.widgets import *

from django.forms import *
from django import forms
from django.forms import widgets
import datetime

from django.db import models
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm


class MenorForm( ModelForm ):
	class Meta:
		model = Menor
		# fields = ['padre','nombre']

	def clean(self):
		return self.cleaned_data

class MovimientoMenorForm( ModelForm ):
	Situacion_Calle = forms.CharField(widget = forms.CheckboxInput(),required=False)
	class Meta:
		model = MovimientoMenor
		fields=('organismo','motivo','numero_averiguacion','numero_acta','responsable','observaciones','Situacion_Calle')
		exclude=['empleado']
	def clean(self):
		return self.cleaned_data


class MovimientoMenorForm2( ModelForm ):
	tipo_movimiento=forms.ModelChoiceField(queryset =CatalogoTipoMovimiento.objects.filter(tipo="Egreso"))
	class Meta:
		model = MovimientoMenor
		fields=('organismo','motivo','numero_averiguacion','numero_acta','responsable','observaciones','tipo_movimiento')
		exclude=['empleado']
	def clean(self):
		return self.cleaned_data

class EvasionForm( ModelForm ):
	
	class Meta:
		model = Evasion
		
		exclude=['empleado','menor','expediente','tipo_movimiento','estatus']
	def clean(self):
		return self.cleaned_data



class ExpedienteForm( ModelForm ):
	class Meta:
		model = Expediente
		exclude=['foto']
		

	def clean(self):
		return self.cleaned_data

class FamiliarForm( ModelForm ):
	class Meta:
		model = Familiar
		exclude=['menor']
		# fields = ['padre','nombre']

	def clean(self):
		return self.cleaned_data

class DireccionFamiliaresForm( ModelForm ):
	class Meta:
		model = DireccionFamiliares
		exclude=['menor','familiar','domicilio','domicilio_laboral']
		# fields = ['padre','nombre']

	def clean(self):
		return self.cleaned_data

class CanalizaForm( ModelForm ):
	area=forms.ModelChoiceField(queryset =Area.objects.filter(organismo__id=1).exclude(id__in=(1,2,3,4,5,6,7,8,9)), help_text = 'Área donde se ubicará el menor')
	class Meta:
		model = Canaliza
		exclude=['empleado','menor','expediente','estatus']


	def clean(self):
		return self.cleaned_data

class DocFamiliarForm( ModelForm ):
	class Meta:
		model = DocumentoFamiliar
		exclude=['menor','familiar']
		# fields = ['padre','nombre']

	def clean(self):
		return self.cleaned_data


class DocMenorForm( ModelForm ):
	class Meta:
		model = DocumentoMenor
		exclude=['expediente','menor']

	def clean(self):
		return self.cleaned_data



class fotoForm( ModelForm ):
	class Meta:
		model = Expediente
		fields=['foto']
	


class psicologiaForm( ModelForm ):
	class Meta:
		model = Psicologia
		exclude=['empleado','canaliza','expediente','estatus','fecha','informe']

	def clean(self):
		return self.cleaned_data


class AgendarForm( forms.Form ):
	agendar=forms.DateField(label='Fecha')


	def clean(self):
		return self.cleaned_data

class PedagogiaForm( ModelForm ):
	class Meta:
		model = Pedagogia
		exclude=['empleado','canaliza','expediente','estatus','fecha','informe']
	def clean(self):
		return self.cleaned_data

class MedicoForm( ModelForm ):
	class Meta:
		model = Medico
		exclude=['empleado','canaliza','expediente','estatus','fecha','informe']

	def clean(self):
		return self.cleaned_data


class SocialForm( ModelForm ):	 
	class Meta:
		model = Social
		exclude=['empleado','canaliza','expediente','estatus','informe']

	def clean(self):
		return self.cleaned_data


class JuridicoForm( ModelForm ):
	class Meta:
		model = Juridico
		exclude=['empleado','canaliza','expediente','estatus','fecha','informe']

	def clean(self):
		return self.cleaned_data


class NutricionForm( ModelForm ):
	class Meta:
		model = Nutricion
		exclude=['empleado','canaliza','expediente','estatus','fecha','informe']

	def clean(self):
		return self.cleaned_data

class BusquedaForm( forms.Form ):
	expediente = forms.CharField(label=' Buscar por Expediente o Nombre',required = True)
	#nombre = forms.CharField(label='Nombre del Menor',required = False)
	#apellido_paterno = forms.CharField(label = 'Apellido Paterno', required = False)
	#apellido_materno = forms.CharField(label = 'apellido Materno',required = False)



class CatalogoParentescoForm( ModelForm):
	class Meta:
		model = Parentesco

class CatalogodocumentosForm( ModelForm):
	class Meta:
		model = Documento

class DocumentoForm( ModelForm):
	class Meta:
		model = Documento
		fields=['estatus']

# class ObservacionesForm( forms.Form ):
# 	observaciones=forms.CharField(widget = forms.Textarea)


class EmpleadoForm( ModelForm):
	class Meta:
		model = Empleado
		fields=('nombre','apellido_paterno','apellido_materno','turno','cedula','organismo','area')


class OrganismosForm( ModelForm ):
	class Meta:
		model = Organismo

class consultarOrganismoForm( ModelForm ):
	class Meta:
		model = Organismo
		fields=['estatus']

class AreasForm( ModelForm):
	class Meta:
		model = Area

class consultarAreaForm( ModelForm ):
	class Meta:
		model = Area
		fields=['estatus']
class DomicilioForm( ModelForm ):
	municipio = forms.ModelChoiceField(
		required = False, 
		queryset = Municipio.objects.all(),
		widget = forms.Select(attrs={'class':'span5 select2-select required'})
		) 

	estado = forms.ModelChoiceField(
		required = False, 
		queryset = Estado.objects.all(),
		widget = forms.Select(attrs={'class':'span5 select2-select required'})
		) 


	localidad = forms.ModelChoiceField(Localidad.objects.all(),required = False,widget=forms.Select(attrs={'class':'required'}))

	colonia = forms.CharField(widget=TextInput(attrs={'class':'required'}))
	

	class Meta:
		model = Domicilio
		exclude=['latitud','longitud']
		fields=['estado','municipio','localidad','colonia','calle','numero','codigo_postal']
	

class DomicilioForm2( ModelForm ):
	municipio = forms.ModelChoiceField(
		required = True, 
		queryset = Municipio.objects.all(), 
		widget = forms.Select(attrs={'class':'span5 select2-select muni'})
		) 
	estado = forms.ModelChoiceField(
		required = True, 
		queryset = Estado.objects.all(), 
		widget = forms.Select(attrs={'class':'span5 select2-select edo'})
		) 
	localidad=forms.ModelChoiceField(Localidad.objects.all(),required = True, widget=forms.Select(attrs={'class':'local'}))
	colonia=forms.CharField(label='Colonia', required=True)
	class Meta:
		model = Domicilio
		exclude=['latitud','longitud']
		fields=['estado','municipio','localidad','colonia','calle','numero','codigo_postal']
	def clean(self):
		return self.cleaned_data

class DomicilioForm3( ModelForm ):
	municipio = forms.ModelChoiceField(
		required = True, 
		queryset = Municipio.objects.all(), 
		widget = forms.Select(attrs={'class':'span5 select2-select municipio'})
		) 
	estado = forms.ModelChoiceField(
		required = True, 
		queryset = Estado.objects.all(), 
		widget = forms.Select(attrs={'class':'span5 select2-select estado'})
		) 
	localidad=forms.ModelChoiceField(Localidad.objects.all(),required = True, widget = forms.Select(attrs={'class':'localidad'}))
	colonia=forms.CharField(label='Colonia', required=True)
	class Meta:
		model = Domicilio
		exclude=['latitud','longitud']
		fields=['estado','municipio','localidad','colonia','calle','numero','codigo_postal']
	def clean(self):
		return self.cleaned_data


class ObservacionesForm( ModelForm ):
	class Meta:
		model = Observaciones
		exclude= ['canaliza']
	def clean(self):
		return self.cleaned_data

class InformeForm( ModelForm):
	class Meta:
		model = Informe

